%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: BlogRovr extension for firefox
Name: firefox-ext-blogrovr
Version: 1.1.804
%define subrel 1
Release: %mkrel 13
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/4689
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/15932/blogrovr-%{version}-fx.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: firefox = %{firefox_epoch}:%{firefox_version}
Obsoletes: mozilla-firefox-ext-blogrovr < %{version}-%{release}
Provides: mozilla-firefox-ext-blogrovr = %{version}-%{release}
BuildRequires: firefox-devel

%description
You don't have time to read ALL those Blogs! Let RovR do it for you. Rovr
fetches posts from your favorite blogs about whatever you're browsing, showing
summaries you can open in-place to read posts right on the page they are
about. Blogrovr also suggests popular items AND lets you Twitter about any site
you're on too.

Blogrover is a blog reader's best friend.

BlogRovR shows you what YOUR favorite bloggers have to say about anything
you're browsing, unintrusively and as you browse.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.804-13.1mdv2010.1
- rebuilt for firefox-3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.804-13mdv2010.1
+ Revision: 549355
- rebuild with FF 3.6.6

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.804-12mdv2010.1
+ Revision: 532634
- don't provide empty debug package

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.1.804-11mdv2010.1
+ Revision: 531075
- rebuild

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 1.1.804-10mdv2010.1
+ Revision: 526987
- rebuild

* Fri Jan 22 2010 Funda Wang <fwang@mandriva.org> 1.1.804-9mdv2010.1
+ Revision: 494795
- rebuild
- requires ff rather than moz-ff

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1.1.804-8mdv2010.1
+ Revision: 479188
- rebuild for new ff

* Sat Nov 07 2009 Funda Wang <fwang@mandriva.org> 1.1.804-7mdv2010.1
+ Revision: 462125
- rebuild for new ff

* Wed Sep 16 2009 Funda Wang <fwang@mandriva.org> 1.1.804-6mdv2010.0
+ Revision: 443367
- rebuild for new ff

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.1.804-5mdv2010.0
+ Revision: 417668
- buildrequire firefox-devel, which provides the new macros for building extensions
- make use of the firefox package macros
- rebuild for firefox 3.5.2

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 1.1.804-4mdv2010.0
+ Revision: 408635
- rebuild for firefox 3.0.13

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 1.1.804-3mdv2010.0
+ Revision: 405027
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fwang@mandriva.org> 1.1.804-2mdv2010.0
+ Revision: 385769
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.1.804-1mdv2010.0
+ Revision: 369584
- New version 1.1.804

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.1.798-2mdv2009.1
+ Revision: 361848
- rebuild for firefox 3.0.8

* Thu Mar 12 2009 Funda Wang <fwang@mandriva.org> 1.1.798-1mdv2009.1
+ Revision: 354095
- New version 1.1.798

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 1.1.786-4mdv2009.1
+ Revision: 337416
- rebuild for new ff

* Wed Feb 04 2009 Funda Wang <fwang@mandriva.org> 1.1.786-3mdv2009.1
+ Revision: 337283
- rename to firefox
- rename to firefox
- rebuild for new ff

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1.1.786-2mdv2009.1
+ Revision: 318918
- rebuild for new ff

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 1.1.786-1mdv2009.1
+ Revision: 303693
- Ne version 1.1.786

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 1.1.779-5mdv2009.0
+ Revision: 289183
- rebuild for new FF

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 1.1.779-4mdv2009.0
+ Revision: 256463
- add conditional to ff3

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.779-3mdv2009.0
+ Revision: 236321
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.1.779-2mdv2009.0
+ Revision: 231256
- Rebuild for firefox 2.0.0.15

* Tue May 27 2008 Funda Wang <fwang@mandriva.org> 1.1.779-1mdv2009.0
+ Revision: 211546
- New version 1.1.779

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.771-4mdv2009.0
+ Revision: 195589
- rebuild for mozilla-firefox-2.0.0.14

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.1.771-3mdv2008.1
+ Revision: 190327
- bump ff_ver and release

* Fri Mar 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.771-2mdv2008.1
+ Revision: 181495
- Rebuild against FF 2.0.0.12

* Wed Jan 23 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.771-1mdv2008.1
+ Revision: 157232
- new upstream: 1.1.771

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tv@mandriva.org> 1.1.600-2mdv2008.1
+ Revision: 117788
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.600-1mdv2008.1
+ Revision: 117474
- New upstream: 1.1.600
- Rebuilt for FF 2.0.0.11

* Mon Nov 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.477-2mdv2008.1
+ Revision: 106073
- New firefox: 2.0.0.9

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.477-1mdv2008.1
+ Revision: 100391
- New upstream: 1.1.477
- Rebuilt against FF 2.0.0.8.

* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.1.322-1mdv2008.0
+ Revision: 57660
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-blogrovr

